### Method

# AppStream Pool get_components_by_extends

since: 0.15.0

#### Declaration [src]

    AsComponentBox*
    as_pool_get_components_by_extends (
      AsPool* pool,
      const gchar* extended_id
    )

#### Description [src]

Find components extending the component with the given ID. They can then be registered to the `AsComponent` they extend via %as_component_add_addon. If the `AS_POOL_FLAG_RESOLVE_ADDONS` pool flag is set, addons are automatically resolved and this explicit function is not needed, but overall query time will be increased (so only use this flag if you will be resolving addon information later anyway).

Available since: 0.15.0

#### Parameters

`extended_id`

  Type: `const gchar*`

  The ID of the component to search extensions for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox`.

The caller of the method takes ownership of the data, and is responsible for freeing it.